PIRL.Conductor

## Class Processing_Event

- java.lang.Object
- - java.util.EventObject
  - - PIRL.Conductor.Processing_Event

All Implemented Interfaces:
  Serializable

    public class Processing_Event
    extends EventObject

A Processing_Event is used to notify a Conductor manager that a Conductor processing event occured.

See Also:
  `Processing_Changes`, Serialized Form

### Field Summary

Fields
`Processing_Changes` `Changes` The processing changes that have occured as a result of the event.
`static String` `ID` Class identification name with source code version and date.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`Processing_Event(Management management, Processing_Changes changes)` Constructs a Processing_Event.

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

#### Changes

    public Processing_Changes Changes

The processing changes that have occured as a result of the event.

### Constructor Detail

#### Processing_Event

    public Processing_Event(Management management,
                    Processing_Changes changes)

Constructs a Processing_Event.

Parameters:
  `management` - The source Management object where the event occurred. This may be a Conductor a proxy - such as a Remote_Theater Messenger system - to a Conductor.
  `changes` - The Conductor Processing_Changes that describes the new processing state.